function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; subClass.__proto__ = superClass; }

import React from 'react';
import PropTypes from 'prop-types';
import { List } from "./..";

var TopbarNav =
/*#__PURE__*/
function (_React$Component) {
  _inheritsLoose(TopbarNav, _React$Component);

  function TopbarNav() {
    return _React$Component.apply(this, arguments) || this;
  }

  var _proto = TopbarNav.prototype;

  _proto.render = function render() {
    var _this$props = this.props,
        children = _this$props.children,
        className = _this$props.className;
    return React.createElement("nav", {
      className: "cui-top-bar__nav" + ("" + (className && " " + className || ''))
    }, React.createElement(List, {
      tabType: "horizontal"
    }, children));
  };

  return TopbarNav;
}(React.Component);

TopbarNav.propTypes = {
  /** @prop Children node to render inside of TopbarNav | null */
  children: PropTypes.node,

  /** @prop Optional CSS class string | '' */
  className: PropTypes.string
};
TopbarNav.defaultProps = {
  children: null,
  className: ''
};
TopbarNav.displayName = 'TopbarNav';
export default TopbarNav;